## elogind 255.4.1

=== Makefile ===
#if 0 /// The original Makefile follows, which isn't enough for elogind.
# # SPDX-License-Identifier: LGPL-2.1-or-later
#
# all:
# 	ninja -C build
#
# install:
# 	DESTDIR=$(DESTDIR) ninja -C build install
#else // 0
.PHONY: all build clean full install justprint loginctl test test-login
export

# Set this to YES on the command line for a debug build
DEBUG      ?= NO

# Set this to yes to not build, but to show all build commands ninja would issue
JUST_PRINT ?= NO

HERE := $(shell pwd -P)

BASIC_OPT  := --buildtype release
BUILDDIR   ?= $(HERE)/build
BUILDMODE  ?= auto
CGCONTROL  ?= $(shell $(HERE)/tools/meson-get-cg-controller.sh)
CGDEFAULT  ?= $(shell grep "^rc_cgroup_mode" /etc/rc.conf | cut -d '"' -f 2)
DESTDIR    ?=
MESON_LST  := $(shell find $(HERE)/ -type f -name 'meson.build') $(HERE)/meson_options.txt
ROOTPREFIX ?= /tmp/elogind_test
PREFIX     ?= $(ROOTPREFIX)/usr
SYSCONFDIR ?= $(ROOTPREFIX)/etc
VERSION    ?= 9999

CC    ?= $(shell which cc)
LD    ?= $(shell which ld)
LN    := $(shell which ln) -s
MAKE  := $(shell which make)
MESON ?= $(shell which meson)
MKDIR := $(shell which mkdir) -p
NINJA ?= $(shell which ninja)
RM    := $(shell which rm) -f

# Save users/systems choice
envCFLAGS   := ${CFLAGS}
envLDFLAGS  := ${LDFLAGS}

BASIC_OPT := --buildtype release
NINJA_OPT := --verbose

# Make sure "--just-print" gets translated over to ninja
ifneq (,$(findstring n,$(MAKEFLAGS)))
    FILTER_ME = n
    override MAKEFLAGS    := $(filter-out $(FILTER_ME),$(MAKEFLAGS))
    override MAKEOVERRIDE := $(MAKEFLAGS)
    # Explicitly set JUST_PRINT to "YES"
    JUST_PRINT := YES
endif

# Simulate --just-print?
ifeq (YES,$(JUST_PRINT))
    NINJA_OPT := ${NINJA_OPT} -t commands
endif

# Combine with "sane defaults"
ifeq (YES,$(DEBUG))
    BASIC_OPT := --werror -Dlog-trace=true -Dslow-tests=true -Ddebug-extra=elogind --buildtype debug
    BUILDDIR  := ${BUILDDIR}_debug
    CFLAGS    := -O0 -g3 -ggdb -ftrapv ${envCFLAGS} -fPIE
    LDFLAGS   := -fPIE
    ifeq (NO,$(JUST_PRINT))
        NINJA_OPT := ${NINJA_OPT} -j 1 -k 1
    endif
    ifneq (release,$(BUILDMODE))
        BUILDMODE := developer
    endif
else
    BUILDDIR  := ${BUILDDIR}_release
    CFLAGS    := -fwrapv ${envCFLAGS}
    LDFLAGS   :=
    ifeq (YES,$(JUST_PRINT))
        NINJA_OPT := ${NINJA_OPT} -s
    endif
    ifneq (developer,$(BUILDMODE))
        BUILDMODE := release
    endif
endif

# Set search paths including the actual build directory
VPATH  := $(BUILDDIR):$(HERE):$(HERE)/src

# Set the build configuration we use to check whether a reconfiguration is needed
CONFIG := $(BUILDDIR)/compile_commands.json

# Finalize CFLAGS
CFLAGS := -march=native -pipe ${CFLAGS} -Wunused -ftree-vectorize

# Finalize LDFLAGS
LDFLAGS := ${envLDFLAGS} ${LDFLAGS} -lpthread

# Ensure a sane default cgroup controller mode is set.
# if /etc/rc.conf has not set one, "unified" is probably the default.
ifeq (,$(CGDEFAULT))
    CGDEFAULT := unified
endif

all: build

build: $(CONFIG)
	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
	+(cd $(BUILDDIR) && $(NINJA) $(NINJA_OPT))
	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")

clean: $(CONFIG)
	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
	(cd $(BUILDDIR) && $(NINJA) $(NINJA_OPT) -t cleandead)
	(cd $(BUILDDIR) && $(NINJA) $(NINJA_OPT) -t clean)
	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")

cleanall:
	+(BUILDDIR=$(HERE)/build $(MAKE) clean DEBUG=YES)
	+(BUILDDIR=$(HERE)/build $(MAKE) clean DEBUG=NO )

full: build

install: build
	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
	(cd $(BUILDDIR) && DESTDIR=$(DESTDIR) $(NINJA) $(NINJA_OPT) install)
	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")

justprint: $(CONFIG)
	+(BUILDDIR=$(HERE)/build $(MAKE) all JUST_PRINT=YES)

loginctl: $(CONFIG)
	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
	(cd $(BUILDDIR) && $(NINJA) $(NINJA_OPT) $@)
	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")

test: $(CONFIG)
	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
	(cd $(BUILDDIR) && $(NINJA) $(NINJA_OPT) $@)
	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")

test-login: $(CONFIG)
	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
	(cd $(BUILDDIR) && $(NINJA) $(NINJA_OPT) $@)
	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")

$(BUILDDIR):
	+$(MKDIR) $@

$(CONFIG): $(BUILDDIR) $(MESON_LST)
	@echo " Generating $@"
	+test -f $@ && ( \
		$(MESON) configure $(BUILDDIR) $(BASIC_OPT) \
	) || ( \
		$(MESON) setup $(BUILDDIR) $(BASIC_OPT) \
			--prefix="$(PREFIX)" \
			--libdir="$(PREFIX)"/lib64 \
			--libexecdir="$(ROOTPREFIX)"/lib64/elogind \
			--localstatedir="$(ROOTPREFIX)"/var \
			--sysconfdir="$(SYSCONFDIR)" \
			--wrap-mode nodownload  \
			-Ddbuspolicydir="$(PREFIX)"/share/dbus-1/system-services \
			-Ddbussystemservicedir="$(PREFIX)"/share/dbus-1/system-services \
			-Dbashcompletiondir="$(PREFIX)"/share/bash-completion/completions \
			-Dzshcompletiondir="$(PREFIX)"/share/zsh/site-functions \
			-Dacl=enabled \
			-Dcgroup-controller=$(CGCONTROL) \
			-Ddbus=enabled \
			-Ddefault-hierarchy=$(CGDEFAULT) \
			-Defi=true \
			-Dhtml=auto \
			-Dman=auto \
			-Dpam=enabled \
			-Dselinux=disabled \
			-Dsmack=true \
			-Dutmp=true \
			-Dxenctrl=auto \
			-Dmode=$(BUILDMODE) \
	)

.DEFAULT: all
#endif // 0

=== debian/changelog ===
elogind (255.4.1-3.0antix1) unstable; urgency=medium

  * very minor version change 

 -- anticapitalista <antix@operamail.com>  Sun, 28 Apr 2024 19:31:30 +0300

elogind (255.4.1-3antix1) unstable; urgency=medium

  * Build for antiX
  * Change runit service exec path
  * Add symlink for runit service backwards compatibility

 -- abc-nix  Fri, 26 Apr 2024 08:28:22 +0200

elogind (255.4.1-3) unstable; urgency=medium

  * d/changelog: correct email address in previous entry.
  * d/watch: update to handle new upstream tag format (e.g 255.4-r1).
  * Import upstream patch to fix meson setting of libexecdir.
  * d/rules: don't need to specify default udevrulesdir.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 16 Apr 2024 07:32:53 +0100

elogind (255.4.1-1debian2) unstable; urgency=medium

  * Import upstream patch to fix meson setting of libexecdir.
  * d/rules: don't need to specify default udevrulesdir.

 -- Mark Hindley <leepen@debian.org>  Tue, 16 Apr 2024 08:00:52 +0100

elogind (255.4.1-1debian1) unstable; urgency=medium

  * New upstream version.
    - includes fixed sd_listen_fds(3) manpage (Closes: #1050561).
  * d/p: refresh patches and remove one applied upstream.
  * d/rules:
    - change meson boolean argument from true to enabled.
    - remove split-/usr configuration.
  * d/control: bump Standards Version (no changes).
  * d/*.install: update for merged-/usr.
  * d/elogind.init: update as binary is now installed in /usr/libexec.
  * d/elogind.install: include sleep.conf.d and fragments.
  * d/libelogind-dev.links: move unversioned link below /usr.

 -- Mark Hindley <leepen@debian.org>  Sun, 14 Apr 2024 14:21:19 +0100

elogind (252.9-1debian3) unstable; urgency=medium

  * d/control: add Build-Depends: libmount-dev to fix nocheck build.
    (Closes: #1059028)

 -- Mark Hindley <leepen@debian.org>  Tue, 26 Dec 2023 17:26:30 +0000

elogind (252.9-1debian2) unstable; urgency=medium

  * d/changelog: add retrospective closes for #1051439.
  * Add elogind README.Debian.
  * d/elogind.postinst: fix typo in header comment.
  * d/elogind.postinst: reword libelogind0 -> libsystemd0 messages
  * d/elogind.postinst: use start-stop-daemon with retry to stop running
    DBus services.
  * d/p: Fix meson multiline string warning.

 -- Mark Hindley <leepen@debian.org>  Mon, 13 Nov 2023 18:28:27 +0000

elogind (252.9-1debian1) experimental; urgency=medium

  * New upstream version 252.9
    - includes arch:loongarch64 support (Closes: #1051439).
  * Remove unnecessary build-depends.
  * d/gbp.conf: update upstream-tag format.
  * d/patches:
    - rename for consistency and add headers
    - new patch to use libsystemd0 compatible cgroups.
    - new patch to fixup rpath for executables: shared lib is installed
      in rootlibexecdir.
    - refresh
    - drop patch applied upstream
  * d/control:
    - elogind depends libsystemd0 and conflicts libelogind0 (Closes: #1052064).
    - remove obsolete lsb-base dependency.
    - Update VCs-* following gitea migration.
  * d/elogind.install:
    - add private lib, now in /lib/<triplet>/elogind.
    - d/elogind.install: include /etc/elogind/sleep.conf.
  * d/not-installed: update pam.d/elogind-user path.
  * d/elogind.postinst: on upgrade, kill polkitd to ensure it utilises
    libsystemd0.

 -- Mark Hindley <leepen@debian.org>  Sun, 05 Nov 2023 16:31:54 +0000

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%,dversionmangle=s/-r\([0-9]\+\)/\1/" \
 https://github.com/elogind/elogind/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## elogind 255.5

=== Makefile ===
--- 
+++ 
@@ -30,6 +30,18 @@
 SYSCONFDIR ?= $(ROOTPREFIX)/etc
 VERSION    ?= 9999
 
+# Detailed config with sane defaults
+USE_ACL     ?= enabled
+USE_AUDIT   ?= enabled
+USE_EFI     ?= false
+USE_HTML    ?= auto
+USE_MAN     ?= auto
+USE_SELINUX ?= disabled
+USE_SMACK   ?= true
+USE_UTMP    ?= true
+USE_XENCTRL ?= auto
+
+# Tools needed by the wrapper
 CC    ?= $(shell which cc)
 LD    ?= $(shell which ld)
 LN    := $(shell which ln) -s
@@ -163,18 +175,19 @@
 			-Ddbussystemservicedir="$(PREFIX)"/share/dbus-1/system-services \
 			-Dbashcompletiondir="$(PREFIX)"/share/bash-completion/completions \
 			-Dzshcompletiondir="$(PREFIX)"/share/zsh/site-functions \
-			-Dacl=enabled \
+			-Dacl=$(USE_ACL) \
+			-Daudit=$(USE_AUDIT) \
 			-Dcgroup-controller=$(CGCONTROL) \
 			-Ddbus=enabled \
 			-Ddefault-hierarchy=$(CGDEFAULT) \
-			-Defi=true \
-			-Dhtml=auto \
-			-Dman=auto \
+			-Defi=$(USE_EFI) \
+			-Dhtml=$(USE_HTML) \
+			-Dman=$(USE_MAN) \
 			-Dpam=enabled \
-			-Dselinux=disabled \
-			-Dsmack=true \
-			-Dutmp=true \
-			-Dxenctrl=auto \
+			-Dselinux=$(USE_SELINUX) \
+			-Dsmack=$(USE_SMACK) \
+			-Dutmp=$(USE_UTMP) \
+			-Dxenctrl=$(USE_XENCTRL) \
 			-Dmode=$(BUILDMODE) \
 	)

=== debian/changelog ===
elogind (255.5-2.0antix1) unstable; urgency=medium

  * Build for antiX (with runit service)

 -- abc-nix  Mon, 27 May 2024 18:18:27 +0200

elogind (255.5-2) unstable; urgency=medium

  * d/NEWS: add entry about changed default for suspend.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 01 May 2024 19:11:14 +0100

elogind (255.5-1) unstable; urgency=medium

  * New upstream version.
  * d/watch: really fix -- uscan uses PCRE.
  * Drop patch fixed upstream.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 01 May 2024 12:45:13 +0100

elogind (255.4.1-2) unstable; urgency=medium

  * d/changelog: typo.
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 15 Apr 2024 16:00:02 +0100

elogind (255.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 14 Apr 2024 10:58:08 +0100

=== debian/control ===
Source: elogind
Section: admin
Priority: optional
Maintainer: Mark Hindley <mark@hindley.org.uk>
Standards-Version: 4.7.0
Vcs-Git: https://git.devuan.org/devuan/elogind.git -b devuan
Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/devuan
Homepage: https://github.com/elogind/elogind
Origin: Devuan
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-exec (>=0.3),
               pkg-config,
               docbook-xsl,
               meson,
               gperf (>= 3.1),
               gtk-doc-tools,
               python3-jinja2,
               python3-lxml,
               libcap-dev,
               libudev-dev,
               libpam0g-dev (>= 1.1.2),
               libacl1-dev,
               libselinux1-dev,
               libmount-dev,
               libglib2.0-dev <!nocheck>,
               dbus (>= 1.9.14) <!nocheck>,

Package: elogind
Section: admin
Priority: optional
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: debconf, ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libudev1,
         libelogind0 (= ${binary:Version}),
         dbus (>= 1.9.14)
Recommends: libpam-elogind, polkitd
Breaks: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
Replaces: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
Description: user, seat and session management daemon
 elogind is a session management daemon extracted from systemd project's
 "logind"

Package: libelogind-compat
Section: libs
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libelogind0
Provides: libsystemd0 (= ${source:Upstream-Version})
Replaces: libsystemd0
Conflicts: libsystemd0
Breaks: libelogind0 (<< 246.10-4~)
Description: user, seat and session management library compatibility
 The libelogind0 library is ABI compatible with libsystemd0. This package
 provides the necessary symlinks to allow binaries linked against libsystemd0
 to work with libelogind0. For full details of the compatibility see
 README.Debian.

Package: libelogind0
Section: libs
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: user, seat and session management library
 This library provides runtime access to elogind session management.

Package: libelogind-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libelogind0 (= ${binary:Version})
Suggests: libelogind-dev-doc
Description: user, seat and session management library (development files)
 This package contains the files needed for developing applications that use
 libelogind

Package: libelogind-dev-doc
Section: doc
Priority: optional
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: libelogind-dev (= ${binary:Version})
Replaces: libelogind-dev (<< 239.1+20181115-1)
Breaks: libelogind-dev (<< 239.1+20181115-1)
Conflicts: libsystemd-dev
Description: user, seat and session management library (development documentation files)
 This package contains the documentation related to developing applications that
 use libelogind

Package: libpam-elogind
Section: admin
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         elogind (= ${binary:Version}),
         libelogind-compat,
         libpam-runtime
Conflicts: libpam-ck-connector
Breaks: libpam-systemd
Provides: libpam-systemd, logind, default-logind
Replaces: libpam-systemd
Description: elogind PAM module
 Plugable Authentication Module to register a session with elogind


Package: dummy-logind
Section: admin
Priority: optional
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: logind, libpam-ck-connector, desktop-base
Provides: logind
Replaces: logind
Description: Dummy non-functional logind dependency package for build environments
 An empty dependency package that can be used in build environments to resolve
 circular dependencies which require coinstallation of libsystemd-dev and
 libelogind0.
 .
 Note that this package provides no logind functionality and will cause
 breakage on systems that make use of logind interfaces. Any system requiring
 logind services should install default-logind (currently libpam-elogind).

=== debian/rules ===
#! /usr/bin/make -f

# The options have been chosen as follows:
# - manually set pamlibdir because we're installing in /usr by default but
#   pam libs must go to /lib/*/security, same for udev rules
# - disable killing users processes by default. This is weird an unexpected
#   behaviour

CONFFLAGS = \
  -Ddocdir=/usr/share/doc/elogind \
  -Dman=enabled \
  -Ddefault-kill-user-processes=false \
  -Dtests=true \
  -Dmode=release

CONFFLAGS_CGROUPCTRL_ELOGIND= \
  -Dcgroup-controller=elogind

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build \
        -- $(CONFFLAGS) $(CONFFLAGS_CGROUPCTRL_ELOGIND)

override_dh_auto_install:
	dh_auto_install --builddirectory=build

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build
	# remove Python byte code files
	rm -rf tools/__pycache__/

override_dh_missing:
	dh_missing --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -pelogind -Xlibelogind-shared
	#dh_makeshlibs --remaining

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibeudev1

%:
	dh $@  --builddirectory=build --without autoreconf,systemd --buildsystem=meson

## elogind 255.17

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Set this to yes to not build, but to show all build commands ninja would issue
 JUST_PRINT ?= NO
 
-HERE := $(shell pwd -P)
+HERE := ${CURDIR}
 
 BASIC_OPT  := --buildtype release
 BUILDDIR   ?= $(HERE)/build
@@ -114,6 +114,7 @@
     CGDEFAULT := unified
 endif
 
+# -----------------------------------------------------------------------------
 all: build
 
 build: $(CONFIG)

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1-or-later

option('version-tag', type : 'string',
       description : 'override the git version string')
option('shared-lib-tag', type : 'string',
       description : 'override the private shared library version tag (defaults to project version)')

option('mode', type : 'combo', choices : ['developer', 'release'],
       description : 'autoenable features suitable for elogind development/release builds')

option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'], deprecated: true,
       description : '''This option is deprecated and will be removed in a future release''')
option('split-bin', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''sbin is not a symlink to bin''')
#if 0 /// UNNEEDED by elogind
# option('rootlibdir', type : 'string', deprecated: true,
#        description : '''This option is deprecated and will be removed in a future release''')
# option('rootprefix', type : 'string', deprecated: true,
#        description : '''This option is deprecated and will be removed in a future release''')
# option('link-udev-shared', type : 'boolean',
#        description : 'link systemd-udevd and its helpers to libsystemd-shared.so')
# option('link-executor-shared', type : 'boolean',
#        description : 'link elogind-executor to libelogind-shared.so and libelogind-core.so')
# option('link-systemctl-shared', type: 'boolean',
#        description : 'link systemctl against libsystemd-shared.so')
# option('link-networkd-shared', type: 'boolean',
#        description : 'link systemd-networkd and its helpers to libsystemd-shared.so')
# option('link-timesyncd-shared', type: 'boolean',
#        description : 'link systemd-timesyncd and its helpers to libsystemd-shared.so')
# option('link-journalctl-shared', type: 'boolean',
#        description : 'link journalctl against libsystemd-shared.so')
# option('link-boot-shared', type: 'boolean',
#        description : 'link bootctl and systemd-bless-boot against libsystemd-shared.so')
# option('link-portabled-shared', type: 'boolean',
#        description : 'link systemd-portabled and its helpers to libsystemd-shared.so')
# option('first-boot-full-preset', type: 'boolean', value: false,
#        description : 'during first boot, do full preset-all (default will be changed to true later)')
#endif // 0

option('static-libelogind', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
#if 0 /// UNNEEDED by elogind
#        description : '''install a static library for libsystemd''')
# option('static-libudev', type : 'combo',
#        choices : ['false', 'true', 'pic', 'no-pic'],
#        description : 'install a static library for libudev')
# option('standalone-binaries', type : 'boolean', value : false,
#        description : 'also build standalone versions of supported binaries')
#
# option('sysvinit-path', type : 'string', value : '/etc/init.d',
#        description : 'the directory where the SysV init scripts are located')
# option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
#        description : 'the base directory for SysV rcN.d directories')
# option('telinit-path', type : 'string', value : '/lib/sysvinit/telinit',
#        description : 'path to telinit')
# option('rc-local', type : 'string',
#        value : '/etc/rc.local')
# option('initrd', type : 'boolean',
#        description : 'install services for use when running systemd in initrd')
# option('compat-mutable-uid-boundaries', type : 'boolean', value : false,
#        description : 'look at uid boundaries in /etc/login.defs for compatibility')
# option('nscd', type : 'boolean',
#        description : 'build support for flushing of the nscd caches')
#
# option('quotaon-path', type : 'string', description : 'path to quotaon')
# option('quotacheck-path', type : 'string', description : 'path to quotacheck')
# option('kmod-path', type : 'string', description : 'path to kmod')
#else // 0
       description : '''install a static library for libelogind''')

# And because elogind depends on external udev, it must be
# configurable as well.
option('udevrulesdir', type : 'string',
       description : '''directory for udev rules files''')

option('udevbindir', type : 'string',
       description : '''directory for udev binary files''')

# We are nice and make the html path configurable
option('htmldir', type : 'string', description : 'path where to install the HTML documentation.')

# We have no systemd-shutdown binary, so we need 'halt', 'reboot' and 'poweroff'
option('halt-path', type : 'string', description : 'path to halt')
option('poweroff-path', type : 'string', description : 'path to poweroff')
option('reboot-path', type : 'string', description : 'path to reboot')
#endif // 0
option('kexec-path', type : 'string', description : 'path to kexec')
#if 0 /// UNNEEDED by elogind
# option('sulogin-path', type : 'string', description : 'path to sulogin')
# option('mount-path', type : 'string', description : 'path to mount')
# option('umount-path', type : 'string', description : 'path to umount')
# option('loadkeys-path', type : 'string', description : 'path to loadkeys')
# option('setfont-path', type : 'string', description : 'path to setfont')
#endif // 0
option('nologin-path', type : 'string', description : 'path to nologin')

#if 0 /// UNNEEDED by elogind
# option('debug-shell', type : 'string', value : '/bin/sh',
#        description : 'path to debug shell binary')
# option('debug-tty', type : 'string', value : '/dev/tty9',
#        description : 'specify the tty device for debug shell')
# option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash'], value : [],
#        description : 'enable extra debugging')
#else // 0
option('debug-extra', type : 'array', choices : ['elogind', 'hashmap', 'siphash'], value : [],
       description : 'enable extra debugging')
#endif // 0
#if 0 /// UNNEEDED by elogind
# option('memory-accounting-default', type : 'boolean',
#        description : 'enable MemoryAccounting= by default')
# option('bump-proc-sys-fs-file-max', type : 'boolean',
#        description : 'bump /proc/sys/fs/file-max to LONG_MAX')
# option('bump-proc-sys-fs-nr-open', type : 'boolean',
#        description : 'bump /proc/sys/fs/nr_open to INT_MAX')
#endif // 0
option('log-trace', type : 'boolean', value : false,
       description : 'enable low level debug logging')
option('user-path', type : 'string',
       description : '$PATH to use for user sessions')

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
#if 0 /// UNNEEDED by elogind
# option('hibernate', type : 'boolean',
#        description : 'support for hibernation')
# option('ldconfig', type : 'boolean',
#        description : 'support for dynamic linker cache creation')
# option('resolve', type : 'boolean',
#        description : 'systemd-resolved stack')
# option('efi', type : 'boolean',
#        description : 'enable EFI support')
# option('tpm', type : 'boolean',
#        description : 'TPM should be used to log events and extend the registers')
# option('environment-d', type : 'boolean',
#        description : 'support for environment.d')
# option('binfmt', type : 'boolean',
#        description : 'support for custom binary formats')
# option('repart', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'install the systemd-repart tool')
# option('sysupdate', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'install the systemd-sysupdate tool')
# option('coredump', type : 'boolean',
#        description : 'install the coredump handler')
# option('pstore', type : 'boolean',
#        description : 'install the pstore archival tool')
# option('oomd', type : 'boolean',
#        description : 'install the userspace oom killer')
# option('logind', type : 'boolean',
#        description : 'install the systemd-logind stack')
# option('hostnamed', type : 'boolean',
#        description : 'install the systemd-hostnamed stack')
# option('localed', type : 'boolean',
#        description : 'install the systemd-localed stack')
# option('machined', type : 'boolean',
#        description : 'install the systemd-machined stack')
# option('portabled', type : 'boolean',
#        description : 'install the systemd-portabled stack')
# option('sysext', type : 'boolean',
#        description : 'install the systemd-sysext stack')
# option('userdb', type : 'boolean',
#        description : 'install the systemd-userdbd stack')
# option('homed', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'install the systemd-homed stack')
# option('networkd', type : 'boolean',
#        description : 'install the systemd-networkd stack')
# option('default-network', type : 'boolean', value : false,
#        description : 'install default .network files')
# option('timedated', type : 'boolean',
#        description : 'install the systemd-timedated daemon')
# option('timesyncd', type : 'boolean',
#        description : 'install the systemd-timesyncd daemon')
# option('remote', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'support for "journal over the network"')
# option('create-log-dirs', type : 'boolean',
#        description : 'create /var/log/journal{,/remote}')
# option('nss-myhostname', type : 'boolean',
#        description : 'install nss-myhostname module')
# option('nss-mymachines', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'install nss-mymachines module')
# option('nss-resolve', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'install nss-resolve module')
# option('nss-systemd', type : 'boolean',
#        description : 'install nss-systemd module')
# option('firstboot', type : 'boolean',
#        description : 'support for firstboot mechanism')
# option('randomseed', type : 'boolean',
#        description : 'support for restoring random seed')
# option('backlight', type : 'boolean',
#        description : 'support for restoring backlight state')
# option('vconsole', type : 'boolean',
#        description : 'support for vconsole configuration')
#        description : 'install the elogind-vmspawn tool')
# option('vmspawn', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
# option('quotacheck', type : 'boolean',
#        description : 'support for the quotacheck tools')
# option('sysusers', type : 'boolean',
#        description : 'support for the sysusers configuration')
# option('storagetm', type : 'boolean',
#        description : 'support for Storage Target Mode')
# option('tmpfiles', type : 'boolean',
#        description : 'support for tmpfiles.d')
# option('importd', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'install the systemd-importd daemon')
# option('hwdb', type : 'boolean',
#        description : 'support for the hardware database')
# option('rfkill', type : 'boolean',
#        description : 'support for the rfkill tools')
# option('xdg-autostart', type : 'boolean',
#        description : 'install the xdg-autostart-generator and unit')
#else // 0
option('efi', type : 'boolean',
       description : 'enable EFI support')
#endif // 0
option('man', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       value : 'disabled',
       description : 'build and install man pages')
option('html', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       value : 'disabled',
       description : 'build and install html pages')
option('translations', type : 'boolean', value : true,
       description : 'build and install translations')

#if 0 /// UNNEEDED by elogind

=== debian/changelog ===
elogind (255.17-3) unstable; urgency=medium

  * d/rules: fix arm64 FTBFS with gcc 15. (Closes: #1110452)
  * d/control:
    - bump Standards Version (no changes).
    - drop Build-Depends: dbus. (Closes: #1122564)
    - utilise virtual packages for dbus runtime depends. (Closes: #1122564)

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 15 Dec 2025 09:38:16 +0000

elogind (255.17-2) unstable; urgency=medium

  * d/control:
    - change pkg-config Build-Depends to pkgconf.
    - bump debhelper-compat to 13.
  * d/rules: correct debhelper --remaining to --remaining-packages.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 21 Jan 2025 11:34:16 +0000

elogind (255.17-1) unstable; urgency=medium

  * New upstream version 255.17. Includes:-
    - Default to deep suspend and fix sleep.conf documentation
      (Closes: #1071964)
  * Drop patches included upstream.
  * d/copyright: remove extraneous semicolon (lintian).

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 14 Jan 2025 10:24:25 +0000

elogind (255.5-3) unstable; urgency=medium

  * libelogind-compat: move libsystemd.so.0 compatibility link to /usr (DEP17).
    (Closes: Debian#1061527)
  * d/elogind.init: start before $x-display-manager. (Closes: Debian#1077676)
  * d/elogind.init: fix typo in description.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 06 Aug 2024 07:14:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Mark Hindley <mark@hindley.org.uk>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://git.devuan.org/devuan/elogind.git -b devuan
 Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/devuan
 Homepage: https://github.com/elogind/elogind
@@ -10,7 +10,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-exec (>=0.3),
-               pkg-config,
+               pkgconf,
                docbook-xsl,
                meson,
                gperf (>= 3.1),
@@ -24,7 +24,6 @@
                libselinux1-dev,
                libmount-dev,
                libglib2.0-dev <!nocheck>,
-               dbus (>= 1.9.14) <!nocheck>,
 
 Package: elogind
 Section: admin
@@ -36,10 +35,10 @@
          ${misc:Depends},
          libudev1,
          libelogind0 (= ${binary:Version}),
-         dbus (>= 1.9.14)
+         default-dbus-system-bus | dbus-system-bus
 Recommends: libpam-elogind, polkitd
-Breaks: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
-Replaces: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
+Breaks: udev (<< 1:3.2.2+devuan1)
+Replaces: udev (<< 1:3.2.2+devuan1)
 Description: user, seat and session management daemon
  elogind is a session management daemon extracted from systemd project's
  "logind"

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,10 @@
 CONFFLAGS_CGROUPCTRL_ELOGIND= \
   -Dcgroup-controller=elogind
 
+ifeq ($(DEB_TARGET_ARCH),arm64)
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,gcs-report-dynamic=none
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build \
         -- $(CONFFLAGS) $(CONFFLAGS_CGROUPCTRL_ELOGIND)
@@ -33,7 +37,7 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -pelogind -Xlibelogind-shared
-	#dh_makeshlibs --remaining
+	dh_makeshlibs --remaining-packages
 
 override_dh_shlibdeps:
 	dh_shlibdeps -- -xlibeudev1
